using System;
using System.Windows.Forms;
using System.Drawing;



public class MainApp : System.Windows.Forms.Form {

   private Button info = new Button();
   private Button quit = new Button();


   // Entry Point, ruft Hauptprogramm auf
   public static int Main(string[] args) {
      Application.Run(new MainApp());
      return 0;
   }

   // Hauptprogramm
   public MainApp() {

      // Fenster initialisieren
      this.Text            = "C# Test Window";
      this.ClientSize      = new Size(230,40);
      this.StartPosition   = FormStartPosition.CenterScreen;
      this.FormBorderStyle = FormBorderStyle.FixedDialog;
      this.MaximizeBox     = false;
      this.MinimizeBox     = false;

      // Button "info" initialisieren
      info.Location        = new Point(10,10);
      info.Size            = new Size(100,20);
      info.Text            = "INFO!";
      info.Click          += new System.EventHandler(info_Click);

      // Button "quit" initialisieren
      quit.Location        = new Point(120,10);
      quit.Size            = new Size(100,20);
      quit.Text            = "Quit";
      quit.Click          += new System.EventHandler(quit_Click);

      // Buttons zum Fenster hinzufuegen
      this.Controls.Add(info);
      this.Controls.Add(quit);

   }


   // Event-Handler fuer Button "quit"
   private void quit_Click(object sender, EventArgs evArgs) {
      base.Dispose(); // exit
   }

   // Event-Handler fuer Button "info"
   private void info_Click(object sender, EventArgs evArgs) {
      MessageBox.Show("C# window example by Danilo",
                      "INFO",
                      MessageBoxButtons.OK,
                      MessageBoxIcon.Information);
   }



}
